export declare class DrawerToggle {
    drawer?: HTMLGlDrawerElement;
    el: HTMLElement;
    lazyDrawer: HTMLGlDrawerElement;
    icon: string;
    buttonTitle: string;
    componentWillLoad(): Promise<void>;
    toggleDrawer(): void;
    render(): any;
}
